Alerting & Response/Alert Channels & Integrations
PUTAlertingSince 1.0SynchronousAuth Required
SaveAlertSmtpConfig
Save or update the global SMTP configuration for email notifications
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
hostStringRequiredSMTP server hostname
Example: smtp.example.com
portIntegerRequiredSMTP server port
Example: 587
encryptionStringRequiredEncryption mode: none, ssl, or starttls
Example: starttls
usernameStringRequiredSMTP authentication username
Example: alerts@example.com
passwordStringRequiredSMTP authentication password
Example: secret
Responses
Endpoint
PUT/api/v1/alerting/smtp-config
/api/v1/alerting/smtp-config
Request Example
curl -X PUT '{host}/api/v1/alerting/smtp-config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"host":"smtp.example.com","port":587,"encryption":"starttls","username":"alerts@example.com","password":"secret","fromAddr":"alerts@example.com","fromName":"ZCF Alerts"}'
Response Example
200{
"host": "smtp.example.com",
"port": 587,
"encryption": "starttls",
"username": "alerts@example.com",
"fromAddr": "alerts@example.com",
"fromName": "ZCF Alerts",
"createDate": "example",
"lastOpDate": "example"
}Change History
This API has no change history records yet.
